=== modified file 'NEWS'
--- NEWS	2011-03-04 15:49:43 +0000
+++ NEWS	2011-02-10 23:05:31 +0000
@@ -16,12 +16,6 @@
     - Merge the pqm changes back into trunk, after trunk was reverted to an old
       revision. (John Arbash Meinel, #716152)
 
-    - The json module is no longer claimed to be supported as alternative for 
-      simplejson. (Jelmer Vernooij, #586611)
-
-    - Remove ``start-loggerhead`` and ``stop-loggerhead`` which were already
-      deprecated. (John Arbash Meinel)
-
 
 1.18 [10Nov2010]
 ----------------

=== modified file 'docs/index.rst'
--- docs/index.rst	2010-05-14 07:33:29 +0000
+++ docs/index.rst	2010-04-13 08:46:25 +0000
@@ -166,6 +166,8 @@
    :maxdepth: 2
 
    serve-branches
+   start-loggerhead
+   stop-loggerhead
 
 
 Support

=== added file 'docs/start-loggerhead.rst'
--- docs/start-loggerhead.rst	1970-01-01 00:00:00 +0000
+++ docs/start-loggerhead.rst	2010-03-25 10:39:30 +0000
@@ -0,0 +1,46 @@
+:command:`start-loggerhead`
+===========================
+
+The :command:`start-loggerhead` command starts a new standalone Loggerhead
+server.  By default, the server runs in the background (daemonized).
+
+.. program:: start-loggerhead
+
+Usage
+-----
+
+.. code-block:: sh
+
+    start-loggerhead [OPTIONS]
+
+Options
+-------
+
+.. cmdoption:: --version
+
+    Print the software version and exit.
+
+.. cmdoption:: -h, --help
+
+    Show this help message and exit.
+
+.. cmdoption:: --foreground
+
+    Run in the foreground;  don't daemonize.
+
+.. cmdoption:: -C, --check
+
+    Only start if not already running (useful for cron jobs).
+
+.. cmdoption:: -p, --pidfile=PIDFILE
+
+    Override pid file location.
+
+.. cmdoption:: -c, --config-file=CONFIGFILE
+
+    Override configuration file location (the default is
+    :file:`/etc/loggerhead.conf`).
+
+.. cmdoption:: --log-folder=LOG_FOLDER
+
+    The directory in which to place log files.

=== added file 'docs/stop-loggerhead.rst'
--- docs/stop-loggerhead.rst	1970-01-01 00:00:00 +0000
+++ docs/stop-loggerhead.rst	2010-03-25 10:25:13 +0000
@@ -0,0 +1,18 @@
+:command:`stop-loggerhead`
+======================================================================
+
+The :command:`stop-loggerhead` command stops the currently running Loggerhead
+daemon.
+
+.. program:: stop-loggerhead
+
+Usage
+-----
+
+.. code-block:: sh
+
+   stop-loggerhead [OPTIONS]
+
+.. cmdoption:: -p, --pidfile=PIDFILE
+
+   override pid file location

=== modified file 'loggerhead/apps/config.py'
--- loggerhead/apps/config.py	2011-02-11 22:10:56 +0000
+++ loggerhead/apps/config.py	2010-05-05 18:35:35 +0000
@@ -10,10 +10,7 @@
 
 import bzrlib.lru_cache
 
-try:
-    from bzrlib.util.configobj.configobj import ConfigObj
-except ImportError:
-    from configobj import ConfigObj
+from bzrlib.util.configobj.configobj import ConfigObj
 
 from paste.request import path_info_pop
 from paste import httpexceptions

=== modified file 'loggerhead/controllers/changelog_ui.py'
--- loggerhead/controllers/changelog_ui.py	2011-03-02 14:07:21 +0000
+++ loggerhead/controllers/changelog_ui.py	2010-04-22 08:52:59 +0000
@@ -20,7 +20,10 @@
 
 import urllib
 
-import simplejson
+try:
+    import simplejson
+except ImportError:
+    import json as simplejson
 
 from paste.httpexceptions import HTTPServerError
 

=== modified file 'loggerhead/controllers/revision_ui.py'
--- loggerhead/controllers/revision_ui.py	2011-03-02 14:07:21 +0000
+++ loggerhead/controllers/revision_ui.py	2009-08-04 04:08:03 +0000
@@ -17,7 +17,10 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
 
-import simplejson
+try:
+    import simplejson
+except ImportError:
+    import json as simplejson
 import urllib
 
 from paste.httpexceptions import HTTPServerError

=== modified file 'loggerhead/load_test.py'
--- loggerhead/load_test.py	2011-03-02 14:07:21 +0000
+++ loggerhead/load_test.py	2011-02-10 01:00:32 +0000
@@ -67,7 +67,10 @@
 import time
 import Queue
 
-import simplejson
+try:
+    import simplejson
+except ImportError:
+    import json as simplejson
 
 from bzrlib import (
     errors,

=== modified file 'loggerhead/static/css/diff.css'
--- loggerhead/static/css/diff.css	2011-02-18 05:41:17 +0000
+++ loggerhead/static/css/diff.css	2010-01-11 03:26:44 +0000
@@ -1,113 +1,164 @@
 /*Info Box*/
 .infoContainer {
-    width: 970px;
-    padding: 10px 10px 0 10px;
-    margin: 0 0 10px 0;
-    color: #666;
-    background: #fcfcfc url(../images/bg_infobox.gif) repeat-y top right;
-    border: 1px solid #b7b7b7;
-    }
+    width:970px;
+    padding:10px 10px 0px 10px;
+    margin:0px 0px 10px 0px;
+    color:#666;
+    background:#fcfcfc url(../images/bg_infobox.gif) repeat-y top right;
+    border:1px solid #b7b7b7;
+}
 ul#list-files {
-    float: right;
-    width: 460px;
-    font-size: 77%;
-    color: #000;
-    }
+    float:right;
+    width:460px;
+    list-style:none;
+    margin:0px;
+    padding:0px;
+    font:normal 11px/normal sans-serif;
+    color:#000;
+}
 ul#list-files li {
-    width: 440px;
-    padding: 2px 0 2px 20px;
-    margin: 0 0 2px 8px;
-    background: url(../images/ico_file.gif) 2px 0 no-repeat;
-    }
+    width:440px;
+    padding:2px 0px 2px 20px;
+    margin:0px 0px 2px 8px;
+    background:url(../images/ico_file.gif) 2px 0px no-repeat;
+}
 ul#list-files li.desc {
     margin-left: 0;
-    background: url(../images/ico_description.gif) 0 0 no-repeat;
-    }
+    background:url(../images/ico_description.gif) 0px 0px no-repeat;
+}
 #infTxt {
-    float: left;
-    width: 493px;
-    margin: 0 0 5px 0;
-    font-size:  77%;
-    color: #666;
-    }
+    float:left;
+    width:493px;
+    margin:0px 0px 5px 0px;
+}
+.information, .committer, .timer, .mfrom, .mto, .revid, .bug, .tags, .foreign-svn, .foreign-git, .foreign-hg {
+    clear:both;
+    margin:0px;
+    padding:0px 0px 2px 18px;
+    font:normal 11px/1.3 sans-serif;
+    color:#666;
+    background:url(../images/ico_description.gif) no-repeat top left;
+}
+.revid {
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+}
+.tags {
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+    background:url(../images/ico_tag.gif) no-repeat top left;
+}
+.committer, .mfrom, .mto {
+    color:#000;
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+    float:left;
+    display:inline;
+    background:url(../images/ico_committer.gif) no-repeat 2px 0px;
+}
+.timer {
+    margin:0px 10px 5px 0px;
+    padding:1px 0px 0px 18px;
+    float:left;
+    clear:none;
+    display:inline;
+    background:url(../images/ico_time.gif) no-repeat top left;
+}
+.mfrom {
+    background:url(../images/ico_mergefrom.gif) no-repeat top left;
+}
+.mto {
+    background:url(../images/ico_mergeto.gif) no-repeat top left;
+}
+.bug {
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+    float:left;
+    clear:none;
+    display:inline;
+    background:url(../images/ico_bug.png) no-repeat top left;
+}
+/**/
+#loggerheadCont p.expand, #loggerheadCont p.expand a, #loggerheadCont p.expand a:link, #loggerheadCont p.expand a:visited, #loggerheadCont p.expand a:hover {
+    color:#0f6b97;
+    text-decoration:none;
+    margin-right:10px;
+    float:left;
+}
+#loggerheadCont p.codin, #loggerheadCont p.codin a, #loggerheadCont p.codin a:link, #loggerheadCont p.codin a:visited, #loggerheadCont p.codin a:hover {
+    color:#000;
+    font-size:12px;
+    text-decoration:none;
+    margin-right:10px;
+    float:left;
+}
 /*Diff Boxes*/
 .diffBox {
-    width: 100%;
-    padding: 6px 0;
-    background: #eef6fa;
-    border: 1px solid #d2d2d2;
-    margin: 10px 0 0 0;
-    }
+    width:100%;
+    padding:6px 0%;
+    background:#eef6fa;
+    border:1px solid #d2d2d2;
+    margin:10px 0px 0px 0px;
+}
 .diffBox img {
-    vertical-align: middle;
-    }
-.diffBox a {
-    text-decoration: none;
-    }
+    vertical-align:middle;
+}
+.diffBox a, .diffBox a:link, .diffBox a:visited, .diffBox a:hover {
+    text-decoration:none;
+}
 .diff {
-    margin: 2em 0;
-    }
+    margin: 2em 0 2em 0;
+}
 .diffinfo {
     overflow: hidden;
-    }
+}
 .lineNumber {
-    width: 2%;
-    border-width: 0 1px;
-    border-style: solid;
-    border-color: #d5d5d5;
-    background: #f8fbfd;
-    text-align: right;
-    }
+    width:2%;
+    border-right:1px solid #d5d5d5;
+    border-left:1px solid #d5d5d5;
+    background:#f8fbfd;
+    text-align:right;
+}
 .unified .lineNumber.second {
-    border-left: 0;
-    }
-.code,
-.lineNumber {
-    float: left;
-    padding: 0 1%;
-    color: #000;
-    font-size: 85%;
-    font-family: 'UbuntuBeta Mono', 'Ubuntu Mono', monospace;
-    line-height: 180%;
-    }
-.blank {
-    float: left;
-    padding: 0 1%;
-    }
-.unified .code {
-    width: 89%;
-    }
-.sbs .code,
-.blank {
-    width: 43%;
+    border-left:0px;
+}
+.code, .lineNumber {
+    float:left;
+    padding:0px 1%;
+    color:#000;
+    font:normal 12px/1.8 monospace;
+}
+.blank {
+    float: left;
+    padding:0px 1%;
+}
+.unified .code { width:89%; }
+.sbs .code, .blank {
+    width:43%;
     overflow: hidden;
-    }
+}
 .unified .insert-row .lineNumber.first {
-    background: #c9ffc9;
-    }
+    background:#c9ffc9;
+}
 .unified .delete-row .lineNumber.second {
-    background: #ffbfbf;
-    }
-.code.insert,
-.insert-row .lineNumber.second,
-.both-row .lineNumber.second {
-    background: #92ed92;
-    }
-.code.delete,
-.delete-row .lineNumber.first,
-.both-row .lineNumber.first {
-    background: #ff7f7f;
-    }
+    background:#ffbfbf;
+}
+.code.insert, .insert-row .lineNumber.second, .both-row .lineNumber.second {
+    background:#92ed92;
+}
+.code.delete, .delete-row .lineNumber.first, .both-row .lineNumber.first {
+    background:#ff7f7f;
+}
 .separate {
     height: 2em;
     background: #e3e3e3;
-    }
+}
 ul#pages {
-    margin-top: 10px;
-    }
+    margin-top:10px;
+}
 /*Foot Links*/
 #loggerheadCont p.lpandbzr {
-    float: left;
-    padding: 3px 0 0 0;
-    margin-top: 10px;
-    }
+    float:left;
+    padding:3px 0px 0px 0px;
+    margin-top:10px;
+}

=== modified file 'loggerhead/static/css/files.css'
--- loggerhead/static/css/files.css	2011-02-18 05:41:17 +0000
+++ loggerhead/static/css/files.css	2009-06-17 20:28:20 +0000
@@ -1,5 +1,50 @@
-#infTxt {
-    font-size: 77%;
-    color: #666;
-    margin-bottom: 10px;
-    }
+/*Info Box*/
+.information, .committer, .timer, .mfrom, .mto, .revid, .bug, .tags {
+	float:left;
+	margin:0px 10px 5px 0px;
+	padding:0px 0px 2px 18px;
+	font:normal 11px/1.3 sans-serif;
+	color:#666;
+	background:url(../images/ico_description.gif) no-repeat top left;
+}
+.revid {
+    float:left;
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+}
+.tags {
+    float:left;
+    padding:1px 0px 0px 18px;
+    margin:0px 10px 5px 0px;
+    background:url(../images/ico_tag.gif) no-repeat top left;
+}
+.comiter, .mfrom, .mto {
+	color:#000;
+	padding:1px 0px 0px 18px;
+	margin:0px 10px 5px 0px;
+	float:left;
+	display:inline;
+	background:url(../images/ico_committer.gif) no-repeat 2px 0px;
+}
+.timer {
+	margin:0px 10px 5px 0px;
+	padding:1px 0px 0px 18px;
+	float:left;
+	clear:none;
+	display:inline;
+	background:url(../images/ico_time.gif) no-repeat top left;
+}
+.mfrom {
+	background:url(../images/ico_mergefrom.gif) no-repeat top left;
+}
+.mto {
+	background:url(../images/ico_mergetop.gif) no-repeat top left;
+}
+.information {
+    clear:both;
+    width:100%;
+    position:relative;
+}
+.bug {
+	background:url(../images/ico_bug.png) no-repeat top left;
+}

=== modified file 'loggerhead/static/css/global.css'
--- loggerhead/static/css/global.css	2011-02-24 00:44:09 +0000
+++ loggerhead/static/css/global.css	2010-04-23 01:30:29 +0000
@@ -1,345 +1,354 @@
-/*
-    CSS Structure
-    - Reset and Generic Styles
-    - Header & Navigation
-        - Loggerhead Menu Tabs
-        - Sub-menu Tabs
-        - Breadcrumbs
-    - Search & RSS 
-    - General Content
-    - Log Table
-    - Revision List
-    - Pagination
-    - Footer
-*/
-
-
-/* =========================
-   Reset and Generic Styles
-*/
-body, img, form, tr, ul, li, h1, h2, h3, h4, p, table {
-    padding: 0;
-    margin: 0;
-    }
-body, html, table {
-    font-size: 93%;
-    }
 body {
-    font-weight: normal;
-    font-family: UbuntuBeta, Ubuntu, 'Bitstream Vera Sans', 'DejaVu Sans', Tahoma, sans-serif;
-    color: #000;
-    background: #fff;
-    }
-a {
-    color: #03A;
-    text-decoration: none;
-    }
-a:hover {
-    text-decoration: underline;
-    }
+	padding:0px;
+	margin:0px;
+	font:normal 12px/normal sans-serif;
+	color:#666;
+	background:#fff;
+}
+a, a:link, a:visited, a:hover {
+	color:#0f597f;
+	text-decoration:none;
+	font-weight:normal;
+	outline:none;
+}
+b a:link, b a:visited {
+    font-weight: bold;
+}
 img {
-    border: 0;
-    outline: none;
-    }
+	padding:0px;
+	margin:0px;
+	border:0px;
+	outline:none;
+}
+form {
+  margin: 0;
+  padding: 0;
+}
+tr td {
+  vertical-align: top;
+}
 .clear {
-    clear: both;
-    font-size: 0;
-    height: 0;
-    }
-.fr {
-    float: right;
-    }
-.fl {
-    float: left;
-    }
+	clear:both;
+	font-size:0px;
+	height:0px;
+}
+.fr {float:right;}
+.fl {float:left;}
+
 ul {
-    list-style: none;
-    }
-table {
-    caption-side: top;
-    width: 100%;
-    border: none;
-    border-spacing: 0;
-    border-collapse: collapse;
-    }
-tr td {
-    vertical-align: top;
-    }
-th, td {
-    border-color: #D2D2D2;
-    }
-th {
-    text-align: left;
-    color: #5A5A5A;
-    padding: 4px 8px;
-    border-width: 1px;
-    border-style: solid;
-    }
-td {
-    padding: 4px 4px;
-    border-width: 0 0 1px 0;
-    border-style: dotted;
-    }
-h1 {
-    font-size:138.5%;
-    padding: 10px 0 5px 0;
-    }
-h2 {
-    font-size: 123.1%;
-    padding: 10px 0 5px 0;
-    }
-p {
-    padding: 5px 0;
-    }
-p img {
-    vertical-align: middle;
-    }
-
-
-/* =========================
-   Header & Navigation
-*/
-
-.black-link {
-    border-bottom: 1px solid #D2D2D2;
-    padding: 6px 1% 8px 1%;
-    font-size: 85%;
+    list-style:none;
 }
 
-/* Branch Title */
-h1.branch-name {
-    font-size: 131%;
-    padding: 0;
-    margin: 20px 0 0 1%;
-    }
-
-/* Loggerhead Menu Tabs */
+/* Loggerhead Menu tabs */
 ul#menuTabs {
-    height: 33px;
-    color: #fff;
-    margin: 0;
-    padding: 15px 20px 0 1%;
-    }
+	width:98%;
+	height:33px;
+	list-style:none;
+	color:#fff;
+	background:#fff url(../images/bg_menuTabs.gif) bottom repeat-x;
+	margin:0px;
+	padding:12px 0px 0px 2%;
+}
+ul#menuTabs li a:link, ul#menuTabs li a:visited {
+	float:left;
+	width:93px;
+	padding:10px 0px 0px 0px;
+	height:23px;
+	font:normal 14px/1.5 sans-serif;
+	text-align:center;
+	color:#fff;
+	text-decoration:none;
+	background:#ad2001 url(../images/bg_Tabs.gif) bottom center;
+}
 ul#menuTabs li {
-    float: left;
-    padding: 0 7px 0 0;
-    }
-ul#menuTabs li a {
-    padding: 3px 6px;
-    color: #000;
-    }
+	float:left;
+	color:#fff;
+	background:#f00 url(../images/bg_Tabs.gif) bottom center;
+}
 ul#menuTabs li a:hover {
-    background-color: #f3f3f3;
-    text-decoration: none;
-    }
-ul#menuTabs li a#on {
-    font-weight: bold;
-    color: #fff;
-    background-color: #747474;
-    }
-
-/* Sub-menu Tabs */
+	float:left;
+	color:#000;
+	background:#666 url(../images/bg_Tabs.gif) top center;
+	text-decoration:none;
+}
+ul#menuTabs li a#on:link, ul#menuTabs li a#on:visited, ul#menuTabs a#on:hover {
+	float:left;
+	color:#000;
+	background:#666 url(../images/bg_Tabs.gif) top center;
+	text-decoration:none;
+}
+/*Sub menu tabs*/
 ul#submenuTabs {
-    height: 24px;
-    margin-bottom: 10px;
-    }
+	width:100%;
+	height:24px;
+	list-style:none;
+	color:#fff;
+	background:#fff;
+	margin:0px;
+	padding:10px 0%;
+}
+ul#submenuTabs li a:link, ul#submenuTabs li a:visited {
+	float:left;
+	display:inline;
+	height:22px;
+	padding:2px 15px 0px 15px;
+	font:normal 14px/1.5 sans-serif;
+	text-align:center;
+	color:#fff;
+	text-decoration:none;
+	background:#d18b39;
+}
 ul#submenuTabs li {
-    float: left;
-    display: inline;
-    margin-right: 20px;
-    }
-ul#submenuTabs li a {
-    float: left;
-    display: inline;
-    height: 22px;
-    padding: 0 0 0 18px;
-    background: transparent url(../images/ico_description.gif) no-repeat center left;
-    }
-
-/* Breadcrumbs */
-#breadcrumbs {
-    font-size: 77%;
-    margin-bottom: 10px;
-    }
-
-#branch-info {
-    width: 900px;
-    padding: 10px;
-    margin: 0 0 10px 0;
-    color: #666;
-    background: #fcfcfc;
-    border: 1px solid #b7b7b7;
-    }
-
-
-/* =========================
-   General Content
-*/
+	float:left;
+	display:inline;
+	margin-left:1px;
+	color:#fff;
+	background:#d18b39;
+}
+ul#submenuTabs li a:hover {
+	float:left;
+	display:inline;
+	color:#fff;
+	background:#d18b39;
+	text-decoration:underline;
+}
+ul#submenuTabs li#first a, ul#submenuTabs li#first a:link, ul#submenuTabs li#first a:visited, ul#submenuTabs li#first a:hover {
+	background:#d18b39 url(../images/bg_submenuTabs.gif) top left no-repeat;
+}
+ul#submenuTabs li#last a, ul#submenuTabs li#last a:link, ul#submenuTabs li#last a:visited, ul#submenuTabs li#last a:hover {
+	background:#d18b39 url(../images/bg_submenuTabs.gif) bottom right no-repeat;
+}
+
+/* Search & RSS */
+#finderBox {
+	width:300px;
+	float:right;
+	padding: 10px 0px 0px 0px;
+}
+#finderBox label {
+	float:left;
+	display:inline;
+	width:100px;
+	font:normal 12px/normal sans-serif;
+	text-align:right;
+	color:#000;
+	padding:5px 5px 0px 0px;
+}
+#finderBox input {
+	float:left;
+	font:normal 12px/normal sans-serif;
+	color:#666;
+	display:inline;
+	width:130px;
+	padding:3px;
+	background:#fff url(../images/bg_search_input.gif) 110px 3px no-repeat;
+	border:1px solid #e9e9e9;
+}
+#search_terms {
+    display:none;
+    border:solid 1px black;
+    width:180px;
+    overflow:auto;
+    background: #fff;
+}
+.rssfeed {
+	float:left;
+	display:inline;
+	padding:0px 0px 0px 10px;
+}
+
+/* General Content */
 #loggerheadCont {
-    width: 98%;
-    padding: 0 1% 10px 1%;
-    }
-
-
-/* =========================
-   Log Table
-*/
+	width:98%;
+	padding:10px 1%;
+	color:#000;
+	background:#fff;
+}
+#loggerheadCont h1 {
+	font-size:18px;
+	color:#666;
+	margin:0px;
+	padding:10px 0px 5px 0px;
+}
+#loggerheadCont h1 span {
+    color:#889ea9;
+}
+#loggerheadCont p {
+	color:#000;
+	margin:0px;
+	padding:5px 0px;
+}
+#loggerheadCont p.expand, #loggerheadCont p.expand a, #loggerheadCont p.expand a:link, #loggerheadCont p.expand a:visited, #loggerheadCont p.expand a:hover {
+	color:#000;
+	text-decoration:none;
+}
+#loggerheadCont p img {
+	vertical-align:middle;
+}
+.link {
+	padding:0px 11px 0px 0px;
+	margin:0px 2px 0px 0px;
+	font-weight:bold;
+}
+.revnolink a, .revnolink a:visited, .revnolink a:link, .revnolink a:hover {
+	color:#CC6600;
+	text-decoration:none;
+}
+
+/*Log Table*/
 #logentries {
-    margin-bottom: 10px;
-    clear: left;
-    }
-p.expand, p.codin {
-    margin-right: 10px;
-    float: left;
-    }
-p.expand a, p.codin a {
-    color: #000;
-    text-decoration: none;
-    }
-.show_if_js {
-    display: none;
-    }
-
-/* th and td styles */
-th.revisionnumber,
-th.expandcell,
-th.diffcell,
-th.downloadcell {
-    padding-left: 0;
-    padding-right: 0;
-    text-align: center;
-    }
-th.diffcell,
-th.revisionnumber {
-    width: 42px;
-    }
-th.expandcell,
-td.expcell {
-    width: 10px;
-    }
-td.icocell {
-    width: 18px;
-    }
-th.authorcell,
-td.autcell,
-th.tagscell,
-td.tagcell {
-    width: 240px;
-    }
-th.datecell,
-td.date {
-    width: 180px;
-    }
-th.timedate,
-td.timedate2 {
-    width: 80px;
-    }
-th.downloadcell,
-td.downr {
-    width: 47px;
-    }
-
-
-/* =========================
-   Revision List
-*/
-.revision_log {
-    overflow: hidden;
-    }
+	caption-side:top;
+	width:99%;
+	margin:0px auto 10px auto;
+	padding:0px;
+	background:#fff;
+	border:none;
+	border-spacing:0px;
+	border-collapse:collapse;
+}
+.logheader {
+	background:#fff;
+	font:bold 14px/normal sans-serif;
+	padding:0px;
+	margin:0px;
+}
+.blueRow0, .blueRow1 {
+	background:#eef6fa;
+	font:normal 14px/normal sans-serif;
+	padding:0px;
+	margin:0px;
+}
+.blueRow1 {
+	background:#f8fbfd;
+}
+.revisionnumber, .expandcell, .diffcell, .downloadcell, .revnro, .expcell, .diffr, .downr, .allicones {
+	padding:4px 0px;
+	width:42px;
+	text-align:center;
+	border:1px solid #d2d2d2;
+}
+.expandcell, .expcell {
+	width:28px;
+}
+.summarycell, .authorcell, .tagscell, .datecell, .timedate{
+  padding: 4px 8px;
+  border: 1px solid #d2d2d2;
+}
+.icocell {
+  width: 18px;
+}
+.authorcell, .autcell {
+  width: 240px;
+}
+.tagscell, .tagcell {
+  width: 240px;
+}
+.datecell, .date {
+  width: 180px;
+}
+.timedate, .timedate2 {
+	width:80px;
+}
+.downloadcell, .downr {
+	width:47px;
+}
+.revnro, .expcell, .diffr, .summcell, .autcell, .tagcell, .icocell, .date, .downr, .allicones, .timedate2 {
+  border: 0;
+  padding: 4px 4px;
+  border-bottom:1px solid #d2d2d2;
+}
 .revisioninfo {
-    margin-top: 4px;
-    }
+    margin-top:4px;
+}
 ul.expandrev {
-    font-size: 85%;
-    }
+	list-style:none;
+	font:normal 11px/normal sans-serif;
+	color:#000;
+}
 ul.expandrev li {
-    padding: 2px 0 2px 20px;
-    margin: 0 0 2px 0;
-    }
+	padding:2px 0px 2px 20px;
+	margin:0px 0px 2px 0px;
+}
 ul.expandrev li.mfrom {
-    background: url(../images/ico_mergefrom.gif) 0 0 no-repeat;
-    }
+	background:url(../images/ico_mergefrom.gif) 0px 0px no-repeat;
+}
 ul.expandrev li.mto {
-    background: url(../images/ico_mergeto.gif) 0 0 no-repeat;
-    }
+	background:url(../images/ico_mergeto.gif) 0px 0px no-repeat;
+}
 ul.expandrev li.committerli {
-    background: url(../images/ico_committer.gif) 2px 0 no-repeat;
-    }
+	background:url(../images/ico_committer.gif) 2px 0px no-repeat;
+}
 ul.expandrev li.desc {
-    background: url(../images/ico_description.gif) 0 0 no-repeat;
-    color: #666;
-    }
+	background:url(../images/ico_description.gif) 0px 0px no-repeat;
+	color:#666;
+}
 ul.expandrev li.files {
-    background: url(../images/ico_file.gif) 2px 0 no-repeat;
+	background:url(../images/ico_file.gif) 2px 0px no-repeat;
     margin-left: 8px;
-    }
-.revnolink a {
-    color: #000;
-    }
-
-
-/* =========================
-   Pagination
-*/
+}
+
+/* Navigation */
+ul {border:0; margin:0; padding:0;}
+
 ul#pages {
-    float: right;
-    }
+	float:right;
+}
 #pages li {
-    font-size: 77%;
-    font-weight: bold;
-    float: left;
-    display: inline;
-    padding: 3px 6px;
-    margin-right: 2px;
-    }
-
-
-/* =========================
-   Search & RSS
-*/
-#finderBox {
-    width: 300px;
-    float: right;
-    padding: 10px 0 0 0;
-    }
-#finderBox label,
-#finderBox input {
-    float: left;
-    font-weight: normal;
-    font-size: 12px;
-    }
-#finderBox label {
-    display: inline;
-    width: 100px;
-    text-align: right;
-    color: #000;
-    padding: 5px 5px 0 0;
-    }
-#finderBox input {
-    color: #666;
-    display: inline;
-    width: 130px;
-    padding: 3px;
-    background: #fff url(../images/bg_search_input.gif) 110px 3px no-repeat;
-    border: 1px solid #e9e9e9;
-    }
-#search_terms {
+	border:0; margin:0; padding:0;
+	font-size:12px;
+	list-style:none;
+	float:left;
+	display:inline;
+}
+#pages a {
+	border:solid 1px #DDDDDD;
+	margin-right:2px;
+}
+#pages .next a, #pages .previous a {
+	font-weight:bold;
+	border:solid 1px #fff;
+}
+#pages .active {
+	color:#f37b06;
+	font-weight:bold;
+	display:block;
+	float:left;
+	padding:4px 6px;
+}
+#pages a:link, #pages a:visited {
+	color:#f37b06;
+	display:block;
+	float:left;
+	padding:3px 6px;
+	text-decoration:none;
+}
+#pages .next a {
+	color:#0f6b97;
+}
+#pages a:hover {
+	border:solid 1px #666666;
+}
+.breadcrumb a {
+	color:#889ea9;
+	font-weight:bold;
+	font-size:18px;
+}
+.breadcrumb a:hover{
+	color:#666;
+	font-weight:bold;
+	font-size:18px;
+}
+#branch-info {
+	width:900px;
+	padding:10px 10px 10px 10px;
+	margin:0px 0px 10px 0px;
+	color:#666;
+	background:#fcfcfc;
+	border:1px solid #b7b7b7;
+}
+.show_if_js {
     display: none;
-    border: solid 1px black;
-    width: 180px;
-    overflow: auto;
-    background: #fff;
-    }
-.rssfeed {
-    float: left;
-    display: inline;
-    padding: 0 0 0 10px;
-    }
-
-
-/* =========================
-   Footer
-*/
-#footer {
-    font-size: 77%;
-    }
+}
+.revision_log {
+    overflow: hidden;
+}

=== modified file 'loggerhead/static/css/view.css'
--- loggerhead/static/css/view.css	2011-02-18 05:41:17 +0000
+++ loggerhead/static/css/view.css	2010-12-01 08:30:02 +0000
@@ -1,43 +1,31 @@
 /*table*/
-.viewLineTit,
-.viewRevTit,
-.viewContTit {
-    border: 1px solid #d2d2d2;
-    }
-.viewLine,
-.viewRev,
-.viewComm,
-.viewCont {
-    border: none;
-    }
-.viewLine,
-.viewLineTit {
-    padding-right: .2em;
-    }
-.viewLine {
-    width: 37px;
-    }
-.viewContTit,
-.viewCont {
-    width: auto;
-    padding-left: .3em;
-    }
-.viewRevTit,
-.viewRev {
-    width: 70px;
-    text-align: center;
-    }
-.viewLine,
-.viewCont {
-    font-size: 116%;
-    font-family: 'UbuntuBeta Mono', 'Ubuntu Mono', monospace;
-    line-height: 108%;
-    whitespace: pre;
-    }
-.viewCont pre {
-    margin: 0;
-    }
-.viewLine {
-    text-align: right;
-    font-size: 93%;
-    }
+.viewLineTit, .viewLine, .viewRevTit, .viewRev,
+.viewContTit, .viewCont
+{
+	border:1px solid #d2d2d2;
+}
+.viewLine, .viewRev, .viewComm, .viewCont {
+	border:none;
+}
+.viewLine, .viewLineTit {
+	padding-right: .2em;
+}
+.viewLine {
+	width:37px;
+}
+.viewContTit, .viewCont {
+	width:auto;
+	padding-left: .3em;
+}
+.viewRevTit, .viewRev {
+	width:70px;
+	text-align:center;
+}
+.viewLine, .viewCont {
+	font:normal 12px/normal monospace;
+        whitespace: pre;
+}
+.viewCont pre { margin: 0; }
+.viewLine {
+	text-align:right;
+}

=== removed file 'loggerhead/static/images/favicon.png'
Binary files loggerhead/static/images/favicon.png and loggerhead/static/images/favicon.png differ
=== modified file 'loggerhead/templatefunctions.py'
--- loggerhead/templatefunctions.py	2011-03-02 14:07:21 +0000
+++ loggerhead/templatefunctions.py	2010-12-01 08:30:02 +0000
@@ -186,8 +186,12 @@
 
         # TODO: On old Python versions, elementtree may be used.
 
-        import simplejson
-        versions.append(('simplejson', simplejson.__version__))
+        try:
+            import simplejson
+        except ImportError:
+            pass
+        else:
+            versions.append(('simplejson', simplejson.__version__))
 
         try:
             Dozer = pkg_resources.get_distribution('Dozer')

=== modified file 'loggerhead/templates/browse.pt'
--- loggerhead/templates/browse.pt	2011-02-17 19:51:25 +0000
+++ loggerhead/templates/browse.pt	2009-10-17 06:55:25 +0000
@@ -4,8 +4,6 @@
     <title>loggerhead branches</title>
     <link rel="stylesheet"
           tal:attributes="href python:branch.static_url('/static/css/global.css')" />
-    <link rel="shortcut icon"
-          tal:attributes="href python:branch.static_url('/static/images/favicon.ico')" />
   </head>
 
   <body>

=== modified file 'loggerhead/templates/changelog.pt'
--- loggerhead/templates/changelog.pt	2011-02-23 03:01:15 +0000
+++ loggerhead/templates/changelog.pt	2009-07-21 21:52:59 +0000
@@ -16,36 +16,26 @@
   </head>
 
   <body>
-      <tal:block metal:fill-slot="backlink">
-          <tal:has-link condition="branch/branch_link">
-            <div class="black-link">
-                <a tal:attributes="href branch/branch_link">
-                  &#8592; Back to branch summary
-                </a>
-            </div>
-          </tal:has-link>
-      </tal:block>
-    <tal:block metal:fill-slot="branchname" tal:content="string:${branch/friendly_name}" />
     <tal:block metal:fill-slot="heading">
-        <div id="breadcrumbs">
-            <tal:has-link condition="branch/branch_link">
-              <a tal:attributes="href branch/branch_link"
-                 tal:content="branch/friendly_name">
-                nice/branch/name
-              </a>
-            </tal:has-link>
-            <tal:no-link condition="not: branch/branch_link">
-              <span metal:use-macro="breadcrumbs/directory"></span>
-            </tal:no-link>
-            <tal:block condition="changes">
-              &#187; Changes
-              <tal:block condition="filter_file_id">to <span tal:content="python:history.get_path(revid, filter_file_id)" /></tal:block>
-              <tal:block condition="start_revid">from revision
-                <span tal:content="python:history.get_revno(start_revid)"/>
-              </tal:block>
-              <tal:block condition="query">matching <tal:block content="query" /></tal:block>
-            </tal:block>
-        </div>
+      <h1>
+        <tal:has-link condition="branch/branch_link">
+          <a tal:attributes="href branch/branch_link"
+             tal:content="branch/friendly_name">
+            nice/branch/name
+          </a>
+        </tal:has-link>
+        <tal:no-link condition="not: branch/branch_link">
+          <span metal:use-macro="breadcrumbs/directory"></span>
+        </tal:no-link>
+        <tal:block condition="changes">
+          : changes
+          <tal:block condition="filter_file_id">to <span tal:content="python:history.get_path(revid, filter_file_id)" /></tal:block>
+          <tal:block condition="start_revid">from revision
+            <span tal:content="python:history.get_revno(start_revid)"/>
+          </tal:block>
+          <tal:block condition="query">matching <tal:block content="query" /></tal:block>
+        </tal:block>
+      </h1>
     </tal:block>
 
     <div metal:fill-slot="content">
@@ -79,14 +69,14 @@
       <!-- Table -->
       <table id="logentries">
         <tr class="logheader">
-          <th class="revisionnumber">Rev</th>
-          <th class="expandcell show_if_js">&nbsp;</th>
-          <th class="summarycell">Summary</th>
-          <th class="authorcell">Authors</th>
-          <th tal:condition="show_tag_col" class="tagscell">Tags</th>
-          <th class="datecell">Date</th>
-          <th class="diffcell">Diff</th>
-          <th class="downloadcell">Files</th>
+          <td class="revisionnumber">Rev</td>
+          <td class="expandcell show_if_js">&nbsp;</td>
+          <td class="summarycell">Summary</td>
+          <td class="authorcell">Authors</td>
+          <td tal:condition="show_tag_col" class="tagscell">Tags</td>
+          <td class="datecell">Date</td>
+          <td class="diffcell">Diff</td>
+          <td class="downloadcell">Files</td>
         </tr>
         <tal:block tal:repeat="entry changes">
           <a tal:attributes="name string:entry-${entry/revno}"/>

=== modified file 'loggerhead/templates/directory.pt'
--- loggerhead/templates/directory.pt	2011-02-17 19:51:25 +0000
+++ loggerhead/templates/directory.pt	2010-04-13 23:35:01 +0000
@@ -4,8 +4,6 @@
     <title tal:content="string:Browsing ${name}"></title>
     <link rel="stylesheet"
           tal:attributes="href python:static_url('/static/css/global.css')" />
-    <link rel="shortcut icon"
-          tal:attributes="href python:branch.static_url('/static/images/favicon.ico')" /> 
   </head>
   <body>
     <div id="loggerheadCont">

=== modified file 'loggerhead/templates/inventory.pt'
--- loggerhead/templates/inventory.pt	2011-02-23 03:01:15 +0000
+++ loggerhead/templates/inventory.pt	2010-12-01 08:30:02 +0000
@@ -9,34 +9,23 @@
     </metal:block>
   </head>
   <body>
-      <tal:block metal:fill-slot="backlink">
-          <tal:has-link condition="branch/branch_link">
-            <div class="black-link">
-                <a tal:attributes="href branch/branch_link">
-                  &#8592; Back to branch summary
-                </a>
-            </div>
-          </tal:has-link>
-      </tal:block>
-      <tal:block metal:fill-slot="branchname" tal:content="string:${branch/friendly_name}" />
-      <tal:block metal:fill-slot="heading">
-      <div id="breadcrumbs">
-          <tal:has-link condition="branch/branch_link">
-            <a tal:attributes="href branch/branch_link"
-               tal:content="branch/friendly_name">
-              nice/branch/name
-            </a>
-          </tal:has-link>
-          <span tal:condition="not: branch/branch_link">
-            <span metal:use-macro="breadcrumbs/directory" />
-          </span>
-          <tal:block condition="python:change">
-            &#187; Viewing
-            <span metal:use-macro="breadcrumbs/branch" />
-            for revision <span tal:content="change/revno"/>
-          </tal:block>
-        </div>
-      </tal:block>
+
+    <h1 metal:fill-slot="heading">
+      <tal:has-link condition="branch/branch_link">
+        <a tal:attributes="href branch/branch_link"
+           tal:content="branch/friendly_name">
+          nice/branch/name
+        </a>
+      </tal:has-link>
+      <span tal:condition="not: branch/branch_link">
+        <span metal:use-macro="breadcrumbs/directory" />
+      </span>
+      <tal:block condition="python:change">
+        : viewing
+        <span metal:use-macro="breadcrumbs/branch" />
+        for revision <span tal:content="change/revno"/>
+      </tal:block>
+    </h1>
 
     <div metal:fill-slot="content">
         <tal:branch-info replace="structure python:branchinfo(branch)" />

=== modified file 'loggerhead/templates/macros.pt'
--- loggerhead/templates/macros.pt	2011-03-03 10:58:57 +0000
+++ loggerhead/templates/macros.pt	2009-07-21 04:39:33 +0000
@@ -9,8 +9,6 @@
     <title metal:define-slot="title"></title>
     <link rel="stylesheet"
           tal:attributes="href python:branch.static_url('/static/css/global.css')" />
-    <link rel="shortcut icon"
-          tal:attributes="href python:branch.static_url('/static/images/favicon.png')" />
     <tal:comment condition="nothing">
       <script type="text/javascript"
               src="http://getfirebug.com/releases/lite/1.2/firebug-lite-compressed.js"></script>
@@ -45,21 +43,17 @@
 
 <body>
     <!-- Loggerhead Content Area -->
-      
-      <div metal:define-slot="backlink" />
-      
-      <h1 class="branch-name">
-        <span metal:define-slot="branchname" />
-      </h1>
+
       <tal:menu define="fileview_active fileview_active"
                 replace="structure python:menu(branch, url, fileview_active)" />
       <div id="loggerheadCont">
 
         <div id="search_terms"></div>
-        <div metal:define-slot="heading" />
+
+        <h1 metal:define-slot="heading"></h1>
         <div metal:define-slot="content"></div>
 
-        <p id="footer" class="fl">Loggerhead <tal:version content="loggerhead_version" /> is a web-based interface for <a href="http://bazaar-vcs.org/">Bazaar</a> branches</p>
+        <p class="fl">Loggerhead <tal:version content="loggerhead_version" /> is a web-based interface for <a href="http://bazaar-vcs.org/">Bazaar</a> branches</p>
       </div>
   </body>
 </html>

=== modified file 'loggerhead/templates/revision.pt'
--- loggerhead/templates/revision.pt	2011-02-23 03:01:15 +0000
+++ loggerhead/templates/revision.pt	2010-12-01 08:30:02 +0000
@@ -20,18 +20,8 @@
     </head>
 
     <body>
-      <tal:block metal:fill-slot="backlink">
-          <tal:has-link condition="branch/branch_link">
-            <div class="black-link">
-                <a tal:attributes="href branch/branch_link">
-                  &#8592; Back to branch summary
-                </a>
-            </div>
-          </tal:has-link>
-      </tal:block>
-      <tal:block metal:fill-slot="branchname" tal:content="string:${branch/friendly_name}" />
       <tal:block metal:fill-slot="heading">
-        <div id="breadcrumbs">
+        <h1>
           <tal:has-link condition="branch/branch_link">
             <a tal:attributes="href branch/branch_link"
                tal:content="branch/friendly_name">
@@ -41,7 +31,7 @@
           <tal:no-link condition="not: branch/branch_link">
             <span metal:use-macro="breadcrumbs/directory"></span>
           </tal:no-link>
-          <span class="breadcrumb">&#187; Revision
+          <span class="breadcrumb">:
             <tal:revno condition="not:specific_path" content="change/revno"></tal:revno>
             <a tal:condition="specific_path" tal:content="change/revno"
                tal:attributes="href python:url(['/revision', change.revno])"
@@ -53,11 +43,11 @@
           <span class="breadcrumb" tal:condition="specific_path">
             : <tal:annotate content="structure python:view_link(url, change.revno, specific_path)" />
           </span>
-        </div>
+        </h1>
         <tal:branch-info replace="structure python:branchinfo(branch)" />
-        <h1 tal:condition="not:specific_path">
+        <p tal:condition="not:specific_path">
           Viewing all changes in revision <tal:revno content="change/revno" />.
-        </h1>
+        </p>
         <p tal:condition="specific_path">
           <a tal:attributes="href python:url(['/revision', change.revno])">
             &#xAB; back to all changes in this revision

=== modified file 'loggerhead/templates/revisioninfo.pt'
--- loggerhead/templates/revisioninfo.pt	2011-02-18 05:41:17 +0000
+++ loggerhead/templates/revisioninfo.pt	2010-01-11 03:26:44 +0000
@@ -1,41 +1,23 @@
 <div class="infoContainer">
     <div id="infTxt">
-        <ul>
-            <li class="committer">
-                <strong>Committer:</strong>
-                <span tal:content="python:', '.join(util.hide_emails(change.authors))"></span>
-            </li>
-            <li class="timer">
-                <strong>Date:</strong>
-                <span tal:content="python:util.date_time(change.date)"></span>
-            </li>
-            <li class="mfrom" tal:condition="python:change.parents[1:]">
-                <strong>mfrom:</strong>
-                <span tal:repeat="parent python:change.parents[1:]">
-                    <a tal:attributes="title string:Merged From ${parent/revno};
-                                       href python:url(['/revision', parent.revno], clear=1)"
-                       tal:content="python:revno_with_nick(parent)"></a>
-                </span>
-            </li>
-            <li class="mto" tal:condition="change/merge_points">
-                <strong>mto:</strong>
-                <span tal:repeat="merge_point change/merge_points">
-                    <a tal:attributes="title string:Merged In ${merge_point/revno};
-                                       href python:url(['/revision', merge_point.revno], clear=1)"
-                       tal:content="python:revno_with_nick(merge_point)"></a>
-                </span>
-            </li>
-            <li class="mto" tal:condition="merged_in">
-                <strong>mto:</strong>
-                  This revision was merged to the branch mainline in
-                  <a tal:attributes="href python:url(['/revision', merged_in], clear=1)">revision
-                    <tal:b content="merged_in"/></a>.
-            </li>
-            <li class="revid">
-                <strong>Revision ID:</strong>
-                <span tal:content="change/revid"></span>
-            </li>
-        </ul>
+        <div class="committer" tal:content="python:', '.join(util.hide_emails(change.authors))"></div>
+        <div class="timer" tal:content="python:util.date_time(change.date)"></div>
+        <div class="mfrom" tal:repeat="parent python:change.parents[1:]">
+            <a tal:attributes="title string:Merged From ${parent/revno};
+                               href python:url(['/revision', parent.revno], clear=1)"
+               tal:content="python:revno_with_nick(parent)"></a>
+        </div>
+        <div class="mto" tal:repeat="merge_point change/merge_points">
+            <a tal:attributes="title string:Merged In ${merge_point/revno};
+                               href python:url(['/revision', merge_point.revno], clear=1)"
+               tal:content="python:revno_with_nick(merge_point)"></a>
+        </div>
+        <div class="mto" tal:condition="merged_in">
+          This revision was merged to the branch mainline in
+          <a tal:attributes="href python:url(['/revision', merged_in], clear=1)">revision
+            <tal:b content="merged_in"/></a>.
+        </div>
+        <div class="revid" tal:content="string:Revision ID: ${change/revid}"></div>
 	<div tal:attributes="class string:foreign-${change/foreign_vcs}"
 	     tal:condition="change/foreign_vcs" 
 	     tal:repeat="revid_part python:change.foreign_revid.keys()"

=== modified file 'loggerhead/templates/view.pt'
--- loggerhead/templates/view.pt	2011-02-23 03:01:15 +0000
+++ loggerhead/templates/view.pt	2010-12-01 08:30:02 +0000
@@ -15,30 +15,19 @@
   </head>
 
   <body>
-      <tal:block metal:fill-slot="backlink">
-          <tal:has-link condition="branch/branch_link">
-            <div class="black-link">
-                <a tal:attributes="href branch/branch_link">
-                  &#8592; Back to branch summary
-                </a>
-            </div>
-          </tal:has-link>
-      </tal:block>
-      <tal:block metal:fill-slot="branchname" tal:content="string:${branch/friendly_name}" />
-          <tal:block metal:fill-slot="heading">
-          <div id="breadcrumbs">
-          <tal:has-link condition="branch/branch_link">
-            <a tal:attributes="href branch/branch_link"
-               tal:content="branch/friendly_name">
-              nice/branch/name
-            </a>
-          </tal:has-link>
-          <tal:no-link condition="not: branch/branch_link">
-            <span metal:use-macro="breadcrumbs/directory"></span>
-          </tal:no-link>
-          <span>: <span metal:use-macro="breadcrumbs/branch" /> (revision <tal:revno content="change/revno"></tal:revno>)</span>
-        </div>
-      </tal:block>
+
+    <h1 metal:fill-slot="heading">
+      <tal:has-link condition="branch/branch_link">
+        <a tal:attributes="href branch/branch_link"
+           tal:content="branch/friendly_name">
+          nice/branch/name
+        </a>
+      </tal:has-link>
+      <tal:no-link condition="not: branch/branch_link">
+        <span metal:use-macro="breadcrumbs/directory"></span>
+      </tal:no-link>
+      <span>: <span metal:use-macro="breadcrumbs/branch" /> (revision <tal:revno content="change/revno"></tal:revno>)</span>
+    </h1>
 
     <div metal:fill-slot="content">
       <tal:branch-info replace="structure python:branchinfo(branch)" />
@@ -72,9 +61,9 @@
       <div class="view">
         <table id="logentries">
           <tr class="logheader">
-            <th class="viewLineTit">Line</th>
-            <th class="viewRevTit" tal:condition="annotated">Revision</th>
-            <th class="viewContTit">Contents</th>
+            <td class="viewLineTit">Line</td>
+            <td class="viewRevTit" tal:condition="annotated">Revision</td>
+            <td class="viewContTit">Contents</td>
           </tr>
 
           <tal:rep tal:repeat="line contents">

=== modified file 'loggerhead/tests/__init__.py'
--- loggerhead/tests/__init__.py	2011-02-10 23:06:59 +0000
+++ loggerhead/tests/__init__.py	2011-02-09 21:17:32 +0000
@@ -1,4 +1,4 @@
-# Copyright 2006, 2010, 2011 Canonical Ltd
+# Copyright 2006, 2010 Canonical Ltd
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== modified file 'loggerhead/tests/test_simple.py'
--- loggerhead/tests/test_simple.py	2011-02-12 13:25:20 +0000
+++ loggerhead/tests/test_simple.py	2009-06-08 23:02:49 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007-2011 Canonical Ltd.
+# Copyright (C) 2008, 2009 Canonical Ltd.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -17,13 +17,9 @@
 
 import cgi
 import logging
-import re
 
 from bzrlib.tests import TestCaseWithTransport
-try:
-    from bzrlib.util.configobj.configobj import ConfigObj
-except ImportError:
-    from configobj import ConfigObj
+from bzrlib.util.configobj.configobj import ConfigObj
 from bzrlib import config
 
 from loggerhead.apps.branch import BranchWSGIApp
@@ -65,7 +61,7 @@
                              'with<htmlspecialchars\n')
         self.build_tree_contents(
             [('myfilename', self.filecontents)])
-        self.tree.add('myfilename', 'myfile-id')
+        self.tree.add('myfilename')
         self.fileid = self.tree.path2id('myfilename')
         self.msg = 'a very exciting commit message <'
         self.revid = self.tree.commit(message=self.msg)
@@ -75,11 +71,6 @@
         res = app.get('/changes')
         res.mustcontain(cgi.escape(self.msg))
 
-    def test_changes_for_file(self):
-        app = self.setUpLoggerhead()
-        res = app.get('/changes?filter_file_id=myfile-id')
-        res.mustcontain(cgi.escape(self.msg))
-
     def test_changes_branch_from(self):
         app = self.setUpLoggerhead(served_url="lp:loggerhead")
         res = app.get('/changes')
@@ -97,20 +88,8 @@
     def test_annotate(self):
         app = self.setUpLoggerhead()
         res = app.get('/annotate', params={'file_id': self.fileid})
-        # If pygments is installed, it inserts <span class="pyg" content into
-        # the output, to trigger highlighting. And it specifically highlights
-        # the &lt; that we are interested in seeing in the output.
-        # Without pygments we have a simple: 'with&lt;htmlspecialchars'
-        # With it, we have
-        # '<span class='pyg-n'>with</span><span class='pyg-o'>&lt;</span>'
-        # '<span class='pyg-n'>htmlspecialchars</span>
-        # So we pre-filter the body, to make sure remove spans of that type.
-        body_no_span = re.sub(r'<span class="pyg-.">', '', res.body)
-        body_no_span = body_no_span.replace('</span>', '')
         for line in self.filecontents.splitlines():
-            escaped = cgi.escape(line)
-            self.assertTrue(escaped in body_no_span,
-                            "did not find %r in %r" % (escaped, body_no_span))
+            res.mustcontain(cgi.escape(line))
 
     def test_inventory(self):
         app = self.setUpLoggerhead()

=== added file 'loggerhead/trace.py'
--- loggerhead/trace.py	1970-01-01 00:00:00 +0000
+++ loggerhead/trace.py	2010-11-12 00:09:49 +0000
@@ -0,0 +1,76 @@
+#
+# Copyright (C) 2008  Canonical Ltd.
+#                     (Authored by Martin Albisetti <argentina@gmail.com)
+# Copyright (C) 2008  Guillermo Gonzalez <guillo.gonzo@gmail.com>
+# Copyright (C) 2006  Robey Pointer <robey@lag.net>
+# Copyright (C) 2006  Goffredo Baroncelli <kreijack@inwind.it>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+#
+
+import os
+import logging
+import logging.handlers
+import sys
+
+
+def make_handler(config, filename):
+    roll = config.get('log.roll', 'never')
+    if roll == 'daily':
+        h = logging.handlers.TimedRotatingFileHandler(filename,
+                                                      'midnight',
+                                                      1,
+                                                      100)
+    elif roll == 'weekly':
+        h = logging.handlers.TimedRotatingFileHandler(filename, 'W0', 1, 100)
+    else:
+        h = logging.FileHandler(filename)
+    return h
+
+
+def setup_logging(log_folder, config, foreground):
+    # i hate that stupid logging config format, so just set up logging here.
+
+    if not os.path.exists(log_folder):
+        os.mkdir(log_folder)
+
+    f = logging.Formatter('%(levelname)-.3s [%(asctime)s.%(msecs)03d]'
+                          ' %(name)s: %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    debug_log = make_handler(config, os.path.join(log_folder, 'debug.log'))
+    debug_log.setLevel(logging.DEBUG)
+    debug_log.setFormatter(f)
+    if foreground:
+        stdout_log = logging.StreamHandler(sys.stdout)
+        stdout_log.setLevel(logging.DEBUG)
+        stdout_log.setFormatter(f)
+    f = logging.Formatter('[%(asctime)s.%(msecs)03d] %(message)s',
+                          '%Y%m%d-%H:%M:%S')
+    access_log = make_handler(config, os.path.join(log_folder, 'access.log'))
+    access_log.setLevel(logging.INFO)
+    access_log.setFormatter(f)
+
+    error_log = make_handler(config, os.path.join(log_folder, 'error.log'))
+    error_log.setLevel(logging.ERROR)
+    error_log.setFormatter(f)
+
+    logging.getLogger('').setLevel(logging.DEBUG)
+    logging.getLogger('').addHandler(debug_log)
+    logging.getLogger('loggerhead.access').addHandler(access_log)
+    logging.getLogger('loggerhead').setLevel(logging.ERROR)
+    logging.getLogger('loggerhead').addHandler(error_log)
+
+    if foreground:
+        logging.getLogger('').addHandler(stdout_log)

=== modified file 'setup.py'
--- setup.py	2010-05-13 22:18:07 +0000
+++ setup.py	2009-10-17 06:19:40 +0000
@@ -30,7 +30,7 @@
     license = "GNU GPL v2 or later",
     maintainer = "Michael Hudson",
     maintainer_email = "michael.hudson@canonical.com",
-    scripts = ["serve-branches"],
+    scripts = ["start-loggerhead", "stop-loggerhead", "serve-branches"],
     packages = ["loggerhead",
                 "loggerhead/apps",
                 "loggerhead/controllers",
@@ -64,7 +64,9 @@
                                    "static/javascript/yui/build/yui-base/*",
                                    "static/images/*"]},
     data_files = [
-        ('share/man/man1', ['serve-branches.1']),
+        ('share/man/man1', ['start-loggerhead.1',
+                            'stop-loggerhead.1',
+                            'serve-branches.1']),
         ('share/doc/loggerhead', ['loggerhead.conf.example']),
         ],
     )

=== added file 'start-loggerhead'
--- start-loggerhead	1970-01-01 00:00:00 +0000
+++ start-loggerhead	2010-01-14 01:35:29 +0000
@@ -0,0 +1,146 @@
+#!/usr/bin/env python
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""
+WARNING! This script has been deprecated and will go away soon!
+A script for starting the loggerhead process.
+"""
+
+
+import logging
+from optparse import OptionParser
+import os
+import sys
+import urlparse
+
+from bzrlib.plugin import load_plugins
+from bzrlib.util.configobj.configobj import ConfigObj
+
+from paste import httpserver
+from paste.httpexceptions import make_middleware
+from paste.translogger import make_filter
+
+from loggerhead import daemon
+from loggerhead.apps.config import Root
+from loggerhead.trace import setup_logging
+from loggerhead.apps.error import ErrorHandlerApp
+
+
+def main():
+    sys.stderr.write('\n\n')
+    sys.stderr.write('WARNING!!! This script has been deprecated by '
+                     'serve-branches, and will be removed in the next '
+                     'release. Please migrate to serve-branches and report '
+                     'any missing features.\n')
+    sys.stderr.write('\n\n')
+
+    home = os.path.realpath(os.path.dirname(__file__))
+    default_pidfile = os.path.join(home, 'loggerhead.pid')
+    default_configfile = os.path.join(home, 'loggerhead.conf')
+    default_log_folder = os.path.join(home, 'logs')
+    parser = OptionParser(usage='usage: %prog [options]', version='%prog')
+    parser.add_option('-f', '--foreground',
+                      action='store_true', dest='foreground', default=False,
+                      help="run in the foreground; don't daemonize")
+    parser.add_option('-C', '--check', action='store_true',
+                      dest='check', default=False,
+                      help=("only start if not already running (useful for "
+                            "cron jobs)"))
+    parser.add_option('-p', '--pidfile', dest="pidfile",
+                      default=default_pidfile,
+                      type=str, help="override pidfile location")
+    parser.add_option('-c', '--config-file', dest="configfile",
+                      default=default_configfile,
+                      type=str, help="override configuration file location")
+    parser.add_option('-L', '--log-folder', dest="log_folder",
+                      default=default_log_folder,
+                      type=str, help="override log file directory")
+    options, args = parser.parse_args()
+    if len(args) > 0:
+        parser.error('No filename arguments are used, only options.')
+
+    if options.check:
+        if daemon.is_running(options.pidfile):
+            sys.exit(0)
+        sys.stderr.write('Did not find loggerhead running in %r;' % (
+                         options.pidfile))
+        sys.stderr.write(' restarting...\n')
+
+    # read loggerhead config
+
+    config = ConfigObj(options.configfile, encoding='utf-8')
+    extra_path = config.get('bzrpath', None)
+    if extra_path:
+        sys.path.insert(0, extra_path)
+
+    potential_overrides = [('server.socket_port', int),
+                           ('server.webpath', str),
+                           ('server.thread_pool', int),
+                           ('server.socket_host', str)]
+    server_port = int(config.get('server.socket_port', 8080))
+    nworkers = int(config.get('server.thread_pool', 10))
+    server_host = config.get('server.socket_host', '0.0.0.0')
+    webpath = config.get('server.webpath', None)
+
+    for key, keytype in potential_overrides:
+        value = config.get(key, None)
+        if value is not None:
+            value = keytype(value)
+
+    if not options.foreground:
+        sys.stderr.write('\n')
+        sys.stderr.write('Launching loggerhead into the background.\n')
+        sys.stderr.write('PID file: %s\n' % (options.pidfile,))
+        sys.stderr.write('\n')
+
+        daemon.daemonize(options.pidfile, home)
+
+    setup_logging(options.log_folder, config, foreground=options.foreground)
+
+    log = logging.getLogger('loggerhead')
+    log.info('Starting up...')
+
+    app = Root(config)
+
+    app = app
+    app = make_middleware(app)
+    app = make_filter(app, None, logger_name=log.name+'.access')
+    app = ErrorHandlerApp(app)
+
+    if webpath:
+        scheme, netloc, path, blah, blah, blah = urlparse.urlparse(webpath)
+
+        def app(environ, start_response, orig=app):
+            environ['SCRIPT_NAME'] = path
+            environ['HTTP_HOST'] = netloc
+            environ['wsgi.url_scheme'] = scheme
+            return orig(environ, start_response)
+
+    load_plugins()
+
+    try:
+        httpserver.serve(
+            app, host=server_host, port=server_port,
+            threadpool_workers=nworkers)
+    finally:
+        log.info('Shutdown.')
+        try:
+            os.remove(options.pidfile)
+        except OSError:
+            pass
+
+
+if __name__ == '__main__':
+    main()

=== added file 'start-loggerhead.1'
--- start-loggerhead.1	1970-01-01 00:00:00 +0000
+++ start-loggerhead.1	2008-08-06 18:33:20 +0000
@@ -0,0 +1,38 @@
+.TH START-LOGGERHEAD "1" "July 2008" "start-loggerhead 1.2.1" "User Commands"
+.SH NAME
+start-loggerhead \- start a loggerhead server
+.SH SYNOPSIS
+.B start-loggerhead
+[\fIoptions\fR]
+.SH DESCRIPTION
+Loggerhead is a web viewer for projects in bazaar. It can be used to navigate 
+a branch history, annotate files, view patches, perform searches, etc. It's 
+heavily based on bazaar-webserve, which is itself based on hgweb for Mercurial.
+.PP
+The start-loggerhead command starts a new standalone loggerhead server.
+.SH OPTIONS
+.TP
+\fB\-\-version\fR
+show program's version number and exit
+.TP
+\fB\-h\fR, \fB\-\-help\fR
+show this help message and exit
+.TP
+\fB\-f\fR, \fB\-\-foreground\fR
+run in the foreground; don't daemonize
+.TP
+\fB\-C\fR, \fB\-\-check\fR
+only start if not already running (useful for cron jobs)
+.TP
+\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
+override pid file location
+.TP
+\fB\-c\fR, \fB\-\-config-file=CONFIGFILE\fR
+override configuration file location
+.TP
+\fB\-L\fR, \fB\-\-log-folder=LOG-FOLDER\fR
+override log directory
+.SH "LICENSE"
+GNU GPLv2 or later.
+.SH "SEE ALSO"
+https://launchpad.net/loggerhead

=== added file 'stop-loggerhead'
--- stop-loggerhead	1970-01-01 00:00:00 +0000
+++ stop-loggerhead	2009-05-13 14:03:48 +0000
@@ -0,0 +1,51 @@
+#!/usr/bin/env python
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+"""A script for stopping the loggerhead process."""
+
+import os
+import sys
+from optparse import OptionParser
+
+home = os.path.realpath(os.path.dirname(__file__))
+default_pidfile = os.path.join(home, 'loggerhead.pid')
+parser = OptionParser(usage='usage: %prog [options]', version='%prog')
+parser.add_option('-p', '--pidfile', dest="pidfile", default=default_pidfile,
+                  help="override pidfile location")
+
+options, args = parser.parse_args()
+if len(args) > 0:
+    parser.error('No filename arguments are used, only options.')
+
+try:
+    f = open(options.pidfile, 'r')
+except IOError, e:
+    print 'Pid file %s not found.' % (options.pidfile,)
+    sys.exit(1)
+
+pid = int(f.readline())
+
+try:
+    os.kill(pid, 0)
+except OSError, e:
+    print 'Stale pid file; server is not running.'
+    sys.exit(1)
+
+print
+print 'Shutting down previous server @ pid %d.' % (pid,)
+print
+
+import signal
+os.kill(pid, signal.SIGINT)

=== added file 'stop-loggerhead.1'
--- stop-loggerhead.1	1970-01-01 00:00:00 +0000
+++ stop-loggerhead.1	2008-08-06 18:39:15 +0000
@@ -0,0 +1,19 @@
+.TH STOP-LOGGERHEAD "1" "July 2008" "stop-loggerhead 1.2.1" "User Commands"
+.SH NAME
+stop-loggerhead \- stop a loggerhead server
+.SH SYNOPSIS
+.B stop-loggerhead
+.SH DESCRIPTION
+Loggerhead is a web viewer for projects in bazaar. It can be used to navigate 
+a branch history, annotate files, view patches, perform searches, etc. It's 
+heavily based on bazaar-webserve, which is itself based on hgweb for Mercurial.
+.SH OPTIONS
+.TP
+\fB\-p\fR, \fB\-\-pidfile=PIDFILE\fR
+override pid file location
+.PP
+The stop-loggerhead command stops the currently running loggerhead server.
+.SH "LICENSE"
+GNU GPLv2 or later.
+.SH "SEE ALSO"
+https://launchpad.net/loggerhead

